<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class DBWorkBranAdr extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'bran_nr, adr_nr, typ';
    $this->_dataModulFields = array('bra_nr', 'adr_nr', 'typ');
  }

  
  public function getNewObject()
  {
    return new BranAdr();
  }

  public function getTableName(): string
  {
    return 'bran_adr';
  }
}